Retrieve a List of Page Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments

Path parameters

  • profile_id string Required

    id of the profile

  • user_group_id number Required

    id of the user group

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • can_collect boolean
    • can_view boolean
    • is_group boolean
    • page_id number Required
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/user_groups/{user_group_id}/page_assignments' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "page_id": 790777
  },
  {
    "page_id": 790771
  },
  {
    "page_id": 790774
  }
]